Post by riopar10 » Sun Feb 15, 2009 7:29 am

register_globals is off in php.ini
Magic Quotes GPC is off in php.ini.
I can not continue with the installation, why this error occurs.
I am doing the translation with a translator, if you can in Spanish.
PHP Version: 5.2.4-99claranet1
thanks

Attachments

???
Proyecto1.png

Newbie

Posts

Joined
Sat Feb 14, 2009 8:01 am

Post by JNeuhoff » Sun Feb 15, 2009 8:12 pm

You should get in touch with your webhosting company and ask them to re-configure the PHP settings. REGISTER_GLOBALS should be really set to OFF for security reasons. Unfortunately, there are still too many webhosting  companies who couldn't care less about securely configuring PHP.

MHC Web Design
Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * TrustPilot Reviews * Google Rich Snippets * Google Tag Manager * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by jwc » Sat Feb 21, 2009 7:36 pm

I only got the Magic Quotes GPC error, and disabling it in php.ini didnt help, but this did:
Try overriding your master settings by creating a .htaccess file in your OpenCart root folder.
This is what the file should contain:

Code: Select all

php_flag register_globals off
php_flag magic_quotes_gpc off
Best of luck,
Jonas

jwc
Newbie

Posts

Joined
Sat Feb 21, 2009 7:32 pm

Post by garfpt » Sun Mar 08, 2009 10:46 pm

a simpler solution is to just copy the php.ini in the root folder of opencart to the install folder.
Thats it :)

I just assume someone forgot to copy the php.ini to that folder.

hope it helps :)

Newbie

Posts

Joined
Sun Mar 08, 2009 10:43 pm

Post by Daniel » Wed Mar 11, 2009 9:24 am

I've added the php.ini file to the install folder for the next release.

User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by riopar10 » Thu Mar 12, 2009 2:31 am

I had to remove not find solution

Newbie

Posts

Joined
Sat Feb 14, 2009 8:01 am

Post by Daniel » Thu Mar 12, 2009 4:05 am

the next version has a compatiblity fix. you won't need globals disabled.

User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm
Who is online

Users browsing this forum: No registered users and 17 guests